Bug 132629 - can't spell check using right click in merged cells
Summary: can't spell check using right click in merged cells
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2020-05-03 11:03 UTC by Zayed
Modified: 2020-05-05 22:44 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test file (7.89 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-05-03 11:03 UTC, Zayed
Details
SpellCheckInMergedCellsLO70.png (106.68 KB, image/png)
2020-05-03 20:09 UTC, Bart
Details
This what I get when I right click on the word (30.36 KB, image/png)
2020-05-03 20:57 UTC, Zayed
Details
LibreOffice64-SpellingButton.png (30.18 KB, image/png)
2020-05-03 22:57 UTC, Bart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zayed 2020-05-03 11:03:31 UTC
Created attachment 160273 [details]
test file

I can't do spell check correction using right click if the text in the merged cell. context menu doesn't appear.
Comment 1 Bart 2020-05-03 20:09:02 UTC
Can you describe the steps you took, the result you had, and the result you had expected?

When correcting a bug or a problem, first we always need a reliable way to reproduce the problem. Without that the developers here would need to guess the steps you took, but that's not a good approach to correct bugs.

I can start the spell checker in the test file that you attached and it gives alternatives for the words in the merged cells. Please check image
   SpellCheckInMergedCellsLO70.png
That's why I assume you took different steps, or that you meant something different.

Also, please start LibreOffice, select
   Help -> About LibreOffice,
copy all the information there, and paste it here. Very often there's other, very useful information there, like your operating system, etc.

PS: 
- I'm not a developer. I'm a user myself and I submitted a few bug reports. I'm trying to confirm the bugs that other people report here.
- I set the status to "needinfo". Please set it back to "unforfirmed" when you provided the information.
Comment 2 Bart 2020-05-03 20:09:42 UTC
Created attachment 160295 [details]
SpellCheckInMergedCellsLO70.png
Comment 3 Zayed 2020-05-03 20:56:27 UTC
I'm sorry for lack of details. I'm not talking about the spell check window (Tool --> Spelling). I'm talking about doing the spelling check using context menu. I attach a screenshot about it. 

My build as follow:
Version: 6.4.2.2
Build ID: 1:6.4.2-0ubuntu3
CPU threads: 24; OS: Linux 5.4; UI render: default; VCL: kf5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

I can reproduce it on windows with:
Version: 6.4.3.2 (x86)
Build ID: 747b5d0ebf89f41c860ec2a39efd7cb15b54f2d8
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: en-US (C); UI-Language: en-US
Calc: threaded
Comment 4 Zayed 2020-05-03 20:57:38 UTC
Created attachment 160299 [details]
This what I get when I right click on the word
Comment 5 Bart 2020-05-03 22:57:02 UTC
Thanks for the extra info!

I can confirm this on Linux/Debian10 when using version 6.4 and 7.0.

I also think there's an alternative that's very close to what you want. 

You can click a cell and then click the "spelling" button on top. (Which is also "Tools -> Spelling", as you mentioned.) I added image "LibreOffice64-SpellingButton.png". The cell that you selected will be spell-checked.

Does that work for you? 

					~~~

   Here are the versions that I used:

Version: 6.4.3.2
Build ID: 747b5d0ebf89f41c860ec2a39efd7cb15b54f2d8
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 7.0.0.0.alpha0+
Build ID: 4d03bd252274308f64332e7c0523068c38ac684a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-04-26_05:59:56
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Bart 2020-05-03 22:57:37 UTC
Created attachment 160305 [details]
LibreOffice64-SpellingButton.png